Skip to main content
GET
/
api
/
v1
/
merchant
/
products
/
{product_id}
Get Product
curl --request GET \
  --url https://api.hevn.finance/api/v1/merchant/products/{product_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "currency": "<string>",
  "soldCount": 123,
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "images": [],
  "url": "<string>",
  "price": "<string>",
  "minAmount": "<string>",
  "maxAmount": "<string>",
  "presetAmount": "<string>",
  "maxQuantity": 123,
  "metadata": {},
  "webhookUrl": "<string>",
  "successUrl": "<string>",
  "cancelUrl": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

product_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string
required
currency
string
required
soldCount
integer
required
active
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
images
string[]
url
string | null
price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
minAmount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
maxAmount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
presetAmount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
maxQuantity
integer | null
metadata
Metadata · object
webhookUrl
string | null
successUrl
string | null
cancelUrl
string | null